zenilib: SDL_AudioSpec Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_AudioSpec Struct Reference

`#include <SDL_audio.h>`

## Public Attributes

SDL_AudioCallback | callback
Uint8 | channels
SDL_AudioFormat | format
int | freq
Uint16 | padding
Uint16 | samples
Uint8 | silence
Uint32 | size
void * | userdata

## Detailed Description

The calculated values in this structure are calculated by SDL_OpenAudio().

Definition at line 165 of file SDL_audio.h.

## Member Data Documentation

SDL_AudioCallback SDL_AudioSpec::callback

Definition at line 174 of file SDL_audio.h.

Referenced by prepare_audiospec(), and SDL_RunAudio().

Uint8 SDL_AudioSpec::channels

Number of channels: 1 mono, 2 stereo

Definition at line 169 of file SDL_audio.h.

Referenced by open_audio_device(), prepare_audiospec(), SDL_CalculateAudioSpec(), SDL_LoadWAV_RW(), SDLTest_CommonArg(), and SDLTest_CommonCreateState().

SDL_AudioFormat SDL_AudioSpec::format

Audio data format

Definition at line 168 of file SDL_audio.h.

Referenced by open_audio_device(), prepare_audiospec(), SDL_CalculateAudioSpec(), SDL_LoadWAV_RW(), SDL_MixAudio(), SDLTest_CommonArg(), and SDLTest_CommonCreateState().

int SDL_AudioSpec::freq

DSP frequency – samples per second

Definition at line 167 of file SDL_audio.h.

Referenced by open_audio_device(), prepare_audiospec(), SDL_LoadWAV_RW(), SDL_RunAudio(), SDLTest_CommonArg(), and SDLTest_CommonCreateState().

Uint16 SDL_AudioSpec::padding

Necessary for some compile environments

Definition at line 172 of file SDL_audio.h.

Uint16 SDL_AudioSpec::samples

Audio buffer size in samples (power of 2)

Definition at line 171 of file SDL_audio.h.

Referenced by open_audio_device(), prepare_audiospec(), SDL_CalculateAudioSpec(), SDL_LoadWAV_RW(), SDL_RunAudio(), SDLTest_CommonArg(), and SDLTest_CommonCreateState().

Uint8 SDL_AudioSpec::silence

Audio buffer silence value (calculated)

Definition at line 170 of file SDL_audio.h.

Referenced by SDL_CalculateAudioSpec(), and SDL_RunAudio().

Uint32 SDL_AudioSpec::size

Audio buffer size in bytes (calculated)

Definition at line 173 of file SDL_audio.h.

Referenced by open_audio_device(), SDL_CalculateAudioSpec(), and SDL_RunAudio().

void* SDL_AudioSpec::userdata

Definition at line 175 of file SDL_audio.h.

Referenced by SDL_RunAudio().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_audio.h